#!/bin/sh
PACKAGE_DIR="/var/packages/MailClient"
MAILSERVER_BACKEND_BIN="/var/packages/MailPlus-Server/target/bin/syno_mailserver_backend"
TARGET_CACHED_CONF_FILE="/var/run/mailplus_cached_conf"
TARGET_CACHED_CONF_FILE_TMP="/var/run/mailplus_cached_conf.tmp"
REFRESH_SHARE_CONTACTS_BIN="${PACKAGE_DIR}/target/tool/refresh_share_contacts"
NOTIFY_DAEMON_BIN="${PACKAGE_DIR}/target/tool/notify_daemon"
REGISTER_SCRIPT="${PACKAGE_DIR}/target/scripts/regist_server_service.sh"
MANAGE_POP3_DAEMON="${PACKAGE_DIR}/target/tool/manage_pop3_daemon"
KEYS=("account_type" \
    "acc_domain_name" \
    "win_domain_short_name" \
    "message_limit" \
    "smtp_enabled" \
    "smtp_port" \
    "smtp_main_domain")

###
### stop all pop3 fetchmail proccess
###
${MANAGE_POP3_DAEMON} -a stop

###
### cached smtp configs
###
if [ -f $TARGET_CACHED_CONF_FILE_TMP ];then
    rm -f $TARGET_CACHED_CONF_FILE_TMP
fi

for key in ${KEYS[@]}
do
    val=`$MAILSERVER_BACKEND_BIN --getConfKeyVal ${key}`
    if [ ! -z "${val}" ]; then
        synosetkeyvalue $TARGET_CACHED_CONF_FILE_TMP ${key} ${val}
		if [ ${key} == "account_type" ]; then
			account_type_change=true
		fi
    fi
done

mv $TARGET_CACHED_CONF_FILE_TMP $TARGET_CACHED_CONF_FILE

###
### refresh share contacts info for addressbook
###
${REFRESH_SHARE_CONTACTS_BIN}

###
### if account type change, reload privilege
###
if [ $account_type_change ]; then
	${NOTIFY_DAEMON_BIN} --reload_priv

	${REGISTER_SCRIPT} register synomailclientd
	${REGISTER_SCRIPT} register synoaddressbookd
fi

###
### start all pop3 fetchmail proccess
###
${MANAGE_POP3_DAEMON} -a start
